# -*- coding: utf-8 -*-
# Copyright (c) 2020, JINGROW
# See license.txt


import unittest

import jingrow


class TestJingrowVersion(unittest.TestCase):
	def test_create_jingrow_version_with_default_dependencies(self):
		number = 99  # version with no fixtures
		jingrow_version = jingrow.get_pg(
			{
				"pagetype": "Jingrow Version",
				"name": f"Version {number}",
				"number": number,
			}
		).insert()
		self.assertEqual(len(jingrow_version.dependencies), 5)
